require "lol"

function onRequest(env)
	
	param = lol:getQueryParams(env.QUERY_STRING);

	print("<html><body>\n");
	print ([[<object type="video/mp4"
	        data="http://192.168.0.4/USB/]]..tostring(param.file)..[["
	        width="320" height="256">
	    <param name="autoplay" value="false" />
	    <param name="controller" value="true" />
	</object>]]);

	print("</body></html>");
           
end
